/* http://meyerweb.com/eric/tools/css/reset/ */

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, font, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td, figure {
	margin: 0;
	padding: 0;
	border: 0;
	outline: 0;
	font-weight: inherit;
	font-style: inherit;
	font-size: 100%;
	font-family: inherit;
	vertical-align: baseline;
	box-sizing: border-box;
}
/* remember to define focus styles! */
:focus {
	outline: 0;
}
body {
	line-height: 1;
	color: black;
	background: white;
}
ol, ul {
	list-style: none;
}
/* tables still need 'cellspacing="0"' in the markup */
table {
	border-collapse: separate;
	border-spacing: 0;
}
caption, th, td {
	text-align: left;
	font-weight: normal;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: "";
}
blockquote, q {
	quotes: "" "";
}

/* @group fonts */

@font-face {
	font-family: Soehne;
	src: url("../fnt/Soehne-Extraleicht.otf") format("opentype");
	font-weight: 200;
	font-style: normal;
}

@font-face {
	font-family: Soehne;
	src: url("../fnt/Soehne-Leicht.otf") format("opentype");
	font-weight: 300;
	font-style: normal;
}

@font-face {
	font-family: Soehne;
	src: url("../fnt/Soehne-Buch.otf") format("opentype");
	font-weight: 400;
	font-style: normal;
}

@font-face {
	font-family: Soehne;
	src: url("../fnt/Soehne-Kraeftig.otf") format("opentype");
	font-weight: 500;
	font-style: normal;
}

@font-face {
	font-family: Soehne;
	src: url("../fnt/Soehne-Halbfett.otf") format("opentype");
	font-weight: 600;
	font-style: normal;
}

@font-face {
	font-family: Soehne;
	src: url("../fnt/Soehne-Dreiviertelfett.otf") format("opentype");
	font-weight: 700;
	font-style: normal;
}

@font-face {
	font-family: Soehne;
	src: url("../fnt/Soehne-Fett.otf") format("opentype");
	font-weight: 800;
	font-style: normal;
}

@font-face {
	font-family: Soehne;
	src: url("../fnt/Soehne-Extrafett.otf") format("opentype");
	font-weight: 900;
	font-style: normal;
}

@font-face {
	font-family: Soehne;
	src: url("../fnt/Soehne-BuchKursiv.otf") format("opentype");
	font-weight: normal;
	font-style: italic;
}

@font-face {
	font-family: Soehne;
	src: url("../fnt/Soehne-LeichtKursiv.otf") format("opentype");
	font-weight: 300;
	font-style: italic;
}

@font-face {
	font-family: Soehne;
	src: url("../fnt/Soehne-Kraeftig.otf") format("opentype");
	font-weight: 600;
	font-style: normal;
}


/* @end */

/* @group variables */



/* @end */

/* @group standard */

body {
	--white: #fff;
	--black: #000;
	--grey: #303E3D;
	--darkgreen: color(display-p3 0.663 0.698 0.659);
	--green: #bf3;
	--text-size: 22px;
	--padding: 20%;
	--text: var(--white);
	--active: var(--darkgreen);
	--hover: (--text);
	--menu: var(--text);
	--headerColor: var(--white);

	font-weight: 300;
	font-size: var(--text-size);
	line-height: 1.6em;
	font-family: Soehne, sans-serif;
	color: var(--text);
	background-color: var(--darkgreen);
	transition: background 1s ease;
	hyphens: none;
	-webkit-hyphens: none;
}

a:link, a:visited, a:active {
	color: inherit;
	text-decoration: underline;
}

section a:hover {
	color: var(--hover);
	mix-blend-mode: difference;
}

.active > a {
	color: var(--active);
}

img {
	-ms-interpolation-mode: bicubic;
	width: 100%;
	height: 100%;
	display: block;
	object-fit: cover;
}

.highlight {
	background-color: #f7ff56;
}

em {
	font-style: italic;
}

strong {
	font-weight: 600;
}

hr {
	clear: both;
	height: 0;
	border: none;
}

h1 {
	margin-bottom: 63px;
}

h2 {
	font-size: 1.5em;
	margin-top: 0.5rem;
	margin-bottom: 1.5rem;
	font-weight: 700;
	line-height: 2.5rem;
}

h3 {
	font-weight: 700;
	margin-bottom: 1rem;
}

h4 {
	font-weight: 700;
}

p {
	margin-bottom: 1rem;
}

figcaption, .figcaption {
	font-size: 0.7em;
	line-height: 1em;
	color: var(--white);
	position: absolute;
	bottom: 10px;
	right: 10px;
}

video {
	width: 100%;
}

/* @end */

#wrapper {
}

main {
	height: 100vh;
}

section {
	padding: 80px var(--padding);
	min-height: 100vh;
	position: relative;
}

body::after {
	content: "↓";
	font-size: 40px;
	position: fixed;
	bottom: 50px;
	left: calc(var(--padding) / 2 - 0.5ex);
	opacity: 1;
	color: var(--menu);
	transition: 0.4s;
}

body.atBottom::after {
	opacity: 0;
}

header {
	width: 100vw;
	height: 100vh;
	background-attachment: fixed;
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
	background-attachment: scroll;
	display: flex;
	justify-content: center;
	align-items: center;
}

header > blockquote {
	font-size: 5vw;
	line-height: 1em;
	font-weight: 700;
	color: var(--headerColor);
	margin: var(--padding);
	margin-top: max(calc(100vh - 50vw), 50%);
}

.text {
	max-width: clamp(1200px, 60vw, 100vw);
}

.text figure {
	float: left;
	width: 50%;
	margin-right: 20px;
}

.hamburger {
	position: fixed;
	right: 0.5rem;
	top: 0.4rem;
	z-index: 2;
	top: 0.7rem;
	display: flex;
	text-decoration: none !important;
}

.hamburger span {
	font-weight: 600;
	font-size: 30px;
	color: var(--menu);
	margin-right: 7px;
	margin-top: -5px;
}

.hamburger .bars div {
	width: 26px;
	height: 4px;
	background-color: var(--menu);
	margin: 4px 0;
	transition: 0.4s;
}

.active .bar1 {
	transform: rotate(-45deg) translate(-4px, 4px) ;
}

.active .bar2 {
	opacity: 0;
}

.active .bar3 {
	transform: rotate(45deg) translate(-7px, -7px) ;
}

.menu {
	padding: 0;
	margin-left: 0;
	margin-top: 0;

	position: fixed;
	width:  40vw;
	right: -40vw;
	top: 0;
	height: 100vh;
	text-align: right;
	padding-right: 2rem;
	padding-left: 2rem;
	padding-top: 5rem;
	transition: right 0.3s ease-in-out;
	z-index: 1;
	background-color: var(--white);
	color: var(--black);
	font-weight: 600;
}

.menu.active {
	right: 0;
}

.menu a {
	text-decoration: none;
}

.menu a:hover {
	color: var(--darkgreen);
}

.menu .active a {
	color: var(--darkgreen);
}

.hamburger.active .bars div {
	background-color: var(--black);
}

.language {
	position: fixed;
	right: 3.5rem;
	z-index: 2;
	top: 0.35rem;
	color: var(--menu);
	font-weight: 600;
	font-size: 30px;
	transition: 0.4s;
	text-transform: capitalize;
}

.language a {
	text-decoration: none !important;
}

.language a:first-of-type:after {
	content: "|";
	margin-left: 0.55rem;
}


a.more {
	text-decoration: none;
	font-size: 1.4em;
}


.topics {
}

.topics .topic {
	--gap: 40px;
	gap: var(--gap);
	display: flex;
	margin-bottom: 5rem;
}

.topics .topic figure {
	width: 100%;
	aspect-ratio: 3/4;
	overflow: hidden;
}

.topics .topic figure img {
	object-fit: cover;
}

.topic:nth-of-type(even) > a, .topic:nth-of-type(odd) .text {
	order: 1;
}

.topic:nth-of-type(odd) > a, .topic:nth-of-type(even) .text {
	order: 2;
}

footer {
	width: 100vw;
	padding-top: 24px;
	padding-bottom: 5px;
	padding-left: var(--padding);
	padding-right: var(--padding);
	box-sizing: border-box;
}


@media (max-width: 700px) {

	body {
		--padding: 30px;
	}

	section {
	}


}

@media (max-width: 450px) {

	body {
		--padding: 10px;
	}

	body::after {
		font-size: 20px;
		left: calc(var(--padding) / 2 - 1ex);
	}

	header > blockquote {
		font-size: 13vw;
	}

	.page_hauptseite header > blockquote {
	}

	figcaption, .figcaption {
		bottom: -70px;
	}

	.menu {
		width:  100vw;
		right: -100vw;
	}

	.topics .topic {
		width: 100%;
		display: block;
	}

	.topic figure {
		margin-bottom: 1rem;
	}

	.text figure {
		width: 100%;
		margin-right: 0;
		float: none;
	}


}

@media print {

	a[href^="http"]:not([href*="tjd.joerggudehus.de"]):after {
		content: " (" attr(href) ")";
	}

}

@media (prefers-reduced-motion: reduce) {

	*, *::before, *::after {
		animation-duration: 0.001s !important;
		transition-duration: 0.001s !important;
	}

}
